## org.eclipse.jetty.webapp
Class Ordering.AbsoluteOrdering

    java.lang.Object
      org.eclipse.jetty.webapp.Ordering.AbsoluteOrdering

All Implemented Interfaces:
  Ordering

Enclosing interface:
  Ordering

    public static class Ordering.AbsoluteOrdering

extends Object
implements Ordering

AbsoluteOrdering An element in web.xml

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.webapp.Ordering
`Ordering.AbsoluteOrdering, Ordering.RelativeOrdering`

Field Summary
`protected boolean` `_hasOther`
`protected MetaData` `_metaData`
`protected List<String>` `_order`
`static String` `OTHER`

Constructor Summary
`Ordering.AbsoluteOrdering(MetaData metaData)`

Method Summary
`void` `add(String name)`
`void` `addOthers()`
`boolean` `hasOther()`
`boolean` `isAbsolute()`
`List<Resource>` `order(List<Resource> jars)` Order the list of jars in WEB-INF/lib according to the ordering declarations in the descriptors

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTHER

    public static final String OTHER

See Also:
  Constant Field Values

### _order

    protected List<String> _order

### _hasOther

    protected boolean _hasOther

### _metaData

    protected MetaData _metaData

Constructor Detail

### Ordering.AbsoluteOrdering

    public Ordering.AbsoluteOrdering(MetaData metaData)

Method Detail

### order

    public List<Resource> order(List<Resource> jars)

  Order the list of jars in WEB-INF/lib according to the ordering declarations in the descriptors

  Specified by:
    `order` in interface `Ordering`
  See Also:
    `Ordering.order(java.util.List)`

### isAbsolute

    public boolean isAbsolute()

  Specified by:
    `isAbsolute` in interface `Ordering`

### add

    public void add(String name)

### addOthers

    public void addOthers()

### hasOther

    public boolean hasOther()

  Specified by:
    `hasOther` in interface `Ordering`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.